## org.eclipse.datatools.sqltools.plan.internal.ui.view
Class ExecutionPlansDrawer

    java.lang.Object
      org.eclipse.datatools.sqltools.plan.internal.ui.view.ExecutionPlansDrawer

    public class ExecutionPlansDrawer

extends java.lang.Object

This class draws a multiple steps execution plan on a `ViewForm`. If there is only one execution document for one plan, we don't create the combo, if not, a combo will be created to show all plans. `IPlanDrawer` is used to draw `IExecutionPlanDocument`.

Author:
  Dafan Yang

Constructor Summary
`ExecutionPlansDrawer(org.eclipse.swt.custom.ViewForm planForm, org.eclipse.swt.browser.Browser browser)` This class is constructed in `GraphicsPlanControl`, we use `ViewForm` to contain the graphic execution plans, use `Browser` to display node detail.

Method Summary
`void` `setPlan(org.eclipse.datatools.sqltools.plan.internal.IPlanInstance instance)` Sets the new plan will redraw the graph

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutionPlansDrawer

    public ExecutionPlansDrawer(org.eclipse.swt.custom.ViewForm planForm,
                                org.eclipse.swt.browser.Browser browser)

  This class is constructed in `GraphicsPlanControl`, we use `ViewForm` to contain the graphic execution plans, use `Browser` to display node detail.

  Parameters:
    `planForm` - the view form used to display the graphic plan
    `browser` - the browser used to display the node detail

Method Detail

### setPlan

    public void setPlan(org.eclipse.datatools.sqltools.plan.internal.IPlanInstance instance)

  Sets the new plan will redraw the graph

  Parameters:
    `instance` - the execution plan instance